Doomsday Engine - Feature #1586

Feature # 1601 (In Progress): Package management

Load/manage add-ons from the home screen
2013-09-10 02:31 - lucasavd

Status: Closed Start date: 2014-12-04
Priority: High % Done: 100%
Assignee: skyjake

Category: Redesign

Target version: 2.0 — Home Ul & Packages

Description

Hello, will there be a field to load pwads while on the ring zero ui (nice user interface there!)? Possibly that's the only thing left to
make it independant of Snowberry.

Maybe a separated button called 'MODS' so one would just click or drag and drop the ones wanted to be loaded (drag and drop
seems more suitable, since the file orders matters sometimes).

Related issues:

Related to Feature #1684: Launching without Snowberry Closed 2014-12-05 2014-12-05
Related to Feature #1834: Import Snowberry addon formats as Doomsday 2 packages Closed 2014-04-19

Related to Bug #1729: Repeat loading of DEHACKED patches specified on the com... Closed 2014-02-25

Follows Feature #1920: Tree navigator widget (libappfw) New 2014-12-03

History

#1 - 2013-09-10 05:31 - skyjake

- assigned_to: Jaakko Keranen
- Milestone: Eventually --> Pre 2.0
- Priority: 1 -->7

#2 - 2013-09-29 22:51 - skyjake

Indeed this is the plan: http:/dengine.net/dew/index.php?title=Drop_Snowberry (#1600).

However, full support for resource packs is more complicated than just providing an option to select PWADs. Snowberry has a range of different
resource pack formats that need to be handled by Doomsday. Plus there are some metadata considerations like conflict resolution of overlapping
packages that needs to be ported from Snowberry's Python implementation.

#3 - 2013-10-18 14:18 - skyjake
- Tags set to U, RingZero, Resources

- Description updated

#4 - 2015-02-12 17:45 - skyjake
- Related to Feature #1684: Launching without Snowberry added

#5 - 2015-04-22 04:40 - danij
- Subject changed from Load pwads through the Ring Zero Ul to Load/manage add-ons from the home screen
- Priority changed from Normal to High

- Target version set to 42

#6 - 2015-04-22 05:12 - danij
- Follows Feature #1920: Tree navigator widget (libappfw) added

#8 - 2015-04-22 05:16 - danij

- Status changed from New to Closed

(delete me)
http://dengine.net/dew/index.php?title=Drop_Snowberry
https://tracker.dengine.net/issues/1600

#9 - 2015-04-22 05:16 - danij

- Status changed from Closed to New

#10 - 2015-05-03 14:32 - skyjake
- Target version changed from 42 to 2.0 — Home Ul & Packages

#11 - 2015-05-29 08:59 - skyjake
- Related to deleted (Feature #1601: Package management)

#12 - 2015-05-29 08:59 - skyjake
- Parent task set to #1601

#13 - 2015-08-27 15:53 - skyjake
- Category set to Redesign
- Status changed from New to In Progress

- % Done changed from 0 to 30

#14 - 2015-08-27 15:54 - skyjake

A very basic Packages dialog has now been implemented, allowing loading and unloading Doomsday 2 packages at runtime.

#15 - 2015-12-06 18:58 - skyjake

- Related to Feature #1834: Import Snowberry addon formats as Doomsday 2 packages added

#16 - 2016-03-27 08:19 - skyjake
- % Done changed from 30 to 50

#17 - 2016-04-26 09:59 - skyjake
- % Done changed from 50 to 80

#18 - 2016-07-05 23:22 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#19 - 2016-07-06 00:06 - skyjake

- Related to Bug #1729: Repeat loading of DEHACKED patches specified on the command line following a game change added

#20 - 2016-07-19 13:03 - skyjake
- Due date deleted (2014-12-04)

- Status changed from Resolved to Closed

#21 - 2017-02-25 17:50 - skyjake

- Tags changed from Ul, RingZero, Resources to Ul, Resources, Home
